--CONFIG--------------------------------------------
local hoc = true						-- Makes the runes fade when they're on cooldown, change true to false to disable

local x1 = 103		y1 = 23				-- Coordinate for the first blood and the second unholy rune
local x2 = 72		y2 = 61				-- Coordinate for the second blood and the first unholy rune
local x3 = 25		y3 = 80				-- Coordinate for the first and second frost runes
local aoc = 0.1							-- Alpha of the runes out of combat
local aic = 1							-- Alpha of the runes in combat
local aiv = 0							-- Alpha of the runes when in a vehicle
local s = 1.2							-- Scale of the RuneFrame (this have to be at least 1.2 to support OmniCC)
---------------------------------------------------------

--SLASH_RUNEHUD1, SLASH_RUNEHUD2 = '/runehud', '/rh';
--local function handler(msg, editbox)
-- if msg == 'bye' then
--  print('Goodbye, World!');
-- else
--  print("Hello, World!");
-- end
--end
--SlashCmdList["RUNEHUD"] = handler; -- Also a valid assignment strategy



--Clearing the old position
RuneButtonIndividual1:ClearAllPoints()
RuneButtonIndividual2:ClearAllPoints()
RuneButtonIndividual3:ClearAllPoints()
RuneButtonIndividual4:ClearAllPoints()
RuneButtonIndividual5:ClearAllPoints()
RuneButtonIndividual6:ClearAllPoints()

--Setting the new position, change the x,y  values in the end of each line to move the runes
RuneButtonIndividual1:SetPoint("CENTER", UIParent, "CENTER", -x1, y1)
RuneButtonIndividual2:SetPoint("CENTER", UIParent, "CENTER", -x2, y2)
RuneButtonIndividual3:SetPoint("CENTER", UIParent, "CENTER", -x3, y3)
RuneButtonIndividual4:SetPoint("CENTER", UIParent, "CENTER", x3, y3)
RuneButtonIndividual5:SetPoint("CENTER", UIParent, "CENTER", x2, y2)
RuneButtonIndividual6:SetPoint("CENTER", UIParent, "CENTER", x1, y1)

--Making the runes click through
RuneButtonIndividual1:EnableMouse(false)
RuneButtonIndividual2:EnableMouse(false)
RuneButtonIndividual3:EnableMouse(false)
RuneButtonIndividual4:EnableMouse(false)
RuneButtonIndividual5:EnableMouse(false)
RuneButtonIndividual6:EnableMouse(false)

local function Runehud_OnEvent(self, event, ...)
	if (event == "PLAYER_ENTERING_WORLD" or event == "PLAYER_REGEN_ENABLED") and not UnitInVehicle("player") then
		RuneFrame:SetAlpha(aoc) 				
	elseif event == "PLAYER_REGEN_DISABLED" and not UnitInVehicle("player") then
		RuneFrame:SetAlpha(aic)
	end
	
	if ((event == "UNIT_ENTERING_VEHICLE") and (arg1 == "player"))  then
		RuneFrame:SetAlpha(aiv)					--Hides the runes when entering a vehicle
	elseif (event == "PLAYER_ENTERING_WORLD" or((event == "UNIT_EXITED_VEHICLE") and (arg1 == "player"))) and InCombatLockdown() then
		RuneFrame:SetAlpha(aic)					--Shows the runes once again (with in combat alpha) when exiting the vehicle
		RuneFrame:SetScale(s)		
	elseif event == "PLAYER_ENTERING_WORLD" or((event == "UNIT_EXITED_VEHICLE") and (arg1 == "player")) then 
		RuneFrame:SetAlpha(aoc) 				--Shows the runes once again (with out of combat alpha) when exiting the vehicle
		RuneFrame:SetScale(s)
	end
	
	if hoc == true then
		if event == "PLAYER_REGEN_DISABLED" or (event == "RUNE_POWER_UPDATE" and InCombatLockdown()) and not UnitInVehicle("player") then 
			if GetRuneCooldown(1) > 0 then
				RuneButtonIndividual1:SetAlpha(aoc) else 
				RuneButtonIndividual1:SetAlpha(aic)
			end
			if GetRuneCooldown(2) > 0 then
				RuneButtonIndividual2:SetAlpha(aoc)else 
				RuneButtonIndividual2:SetAlpha(aic)
			end
			if GetRuneCooldown(3) > 0 then
				RuneButtonIndividual5:SetAlpha(aoc)else 
				RuneButtonIndividual5:SetAlpha(aic)
			end										--This function fades the runes when they get on cooldown, to disable it just check the first line in the config part at the top of this file.	
			if GetRuneCooldown(4) > 0 then
				RuneButtonIndividual6:SetAlpha(aoc)else 
				RuneButtonIndividual6:SetAlpha(aic)
			end
			if GetRuneCooldown(5) > 0 then
				RuneButtonIndividual3:SetAlpha(aoc)else 
				RuneButtonIndividual3:SetAlpha(aic)
			end
			if GetRuneCooldown(6) > 0 then
				RuneButtonIndividual4:SetAlpha(aoc)else 
				RuneButtonIndividual4:SetAlpha(aic)
			return
			end
		elseif (event == "PLAYER_REGEN_ENABLED" and not UnitInVehicle("player")) then
			RuneButtonIndividual1:SetAlpha(aic)
			RuneButtonIndividual2:SetAlpha(aic)
			RuneButtonIndividual3:SetAlpha(aic)
			RuneButtonIndividual4:SetAlpha(aic)
			RuneButtonIndividual5:SetAlpha(aic)
			RuneButtonIndividual6:SetAlpha(aic)
		end
	else return
	end
end



local f = CreateFrame("Frame","RuneHUDFrame",UIParent)
f:RegisterEvent("PLAYER_REGEN_DISABLED")
f:RegisterEvent("PLAYER_REGEN_ENABLED")
f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:RegisterEvent("UNIT_EXITED_VEHICLE")
f:RegisterEvent("UNIT_ENTERING_VEHICLE")
f:RegisterEvent("RUNE_POWER_UPDATE")
f:SetScript("OnEvent", Runehud_OnEvent)
RuneFrame:SetParent(RuneHUDFrame)
